app_dir = File.expand_path("..", __dir__)
log_dir = File.join(app_dir, "log")
pid_dir = "/var/run/game-data"  # or use app_dir + '/tmp/pids' if not using system-wide PID dir

directory app_dir
pidfile File.join(pid_dir, "puma.pid")
stdout_redirect File.join(log_dir, "puma.log"), File.join(log_dir, "puma.err.log"), true

environment 'production'

bind 'tcp://0.0.0.0:9292'
workers 2
threads 1, 5
daemonize true
